Bug 191620 - Review Request: perl-PPI-HTML - Generate syntax-hightlighted HTML for Perl using PPI
Review Request: perl-PPI-HTML - Generate syntax-hightlighted HTML for Perl us...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191619
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 19:11 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 19:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 19:11:57 EDT
Spec URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PPI-HTML.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PPI-HTML-1.07-1.src.rpm

Description:
PPI::HTML converts Perl documents into syntax highlighted HTML pages.
Comment 1 Jason Tibbitts 2006-05-15 12:28:47 EDT
Not much to say:

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream:
   c2858d87c0e12ab87845606957bcd122  PPI-HTML-1.07.tar.gz
   c2858d87c0e12ab87845606957bcd122  PPI-HTML-1.07.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=19,  1 wallclock secs ( 0.22 cusr +  0.08 csys =  0.30 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-15 19:44:37 EDT
Thanks for the review.

Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.